#include <iostream>  
#include <cstdlib>
#include <iomanip>
using namespace std;
double k1[200000];
int k[200000];
int main() {
	cout << fixed << showpoint << setprecision(4);
	double max = 0., max1 = -1, a = 0., b = 0.;
	int n, i, i1;
	cin >> n;
	for (i = 0; i < n; i++) cin >> k[i] >> k1[i];
	for (i = 0; i < n; i++) {
		b =  k1[i] * 1.;
		for (i1 = 0; i1 < n; i1++) {
			if (k1[i] <= k1[i1]) {
				a = k[i1] / 100.;
				max += a * b;
			}
		}
		if (max > max1 || max1 == -1) max1 = max;
	    max=0;
	}
	cout << max1;
	return 0;
}